FROM docker.io/alpine:latest

ENV NAME=marksman ARCH=x86_64
LABEL   name="$NAME" \
        license="GNU GPLv3" \
        architecture="$ARCH" \
        run="podman run --rm -i IMAGE" \
        summary="Markdown LSP server in a container" \
        maintainer="Andreas Hartmann <hartan@7x.de>" \
        url="https://gitlab.com/c8160/lsp/marksman"

RUN apk add --no-cache gcompat icu; \
    wget -O /bin/marksman https://github.com/artempyanykh/marksman/releases/latest/download/marksman-linux-x64; \
    chmod +x /bin/marksman

# Copy documentation into container
COPY help.md /

ENTRYPOINT [ "/bin/marksman" ]
